#!/usr/bin/php -q
<?php
// Copyright (C) 2008 - 2012 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
 
if(empty($argv[1])) {
	echo "CoverGrabber    Copyright (C) vortexbox.org\n";
	echo "You need to give a folder name as a command line arg.\n";
	exit;
} else {
	$folder = $argv[1];
}	
	
if(!is_dir($folder)) {
	echo "Skipping {$folder}. Not a folder?\n";
	exit;
}

if(is_file($folder."/cover.jpg")) {
	echo "cover.jpg exists for {$folder}.\n";
	exit;
}

// Read metatags of first FLAC file in folder	
$firstflac = glob($folder."/*.flac");
if(empty($firstflac[0])) { echo "Skipping {$folder} no FLACs.\n"; exit;}

$artist = urlencode(exec("metaflac --show-tag=artist \"" . $firstflac[0]. "\" | sed 's/.*=//g'"));
$album = urlencode(exec("metaflac --show-tag=album \"". $firstflac[0]. "\" | sed 's/.*=//g'"));
if($album == "Unknown+Album") { echo 'Unknown Album - No cover art to get.\n'; exit;}
echo '\nGetting cover art for {$folder} ...\n';

//------------------------------------------------------------------------------
// Make the request for cover arts using album and artist
//------------------------------------------------------------------------------

$request='client=tadsz&'
.'inc=images&'
.'minImageWidth=300&'
.'minImageHeight=300&'
.'maxResultCount=1&'
.'title='.$album.'&'
.'artist='.$artist;

// encode url - replace commas w/ %2C, replace colon w/ %3A
// Could use urlencode($request) here, but $request may already be partially encoded
$request = str_replace(',','%2C', $request);
$request = str_replace(':','%3A', $request);
$request = str_replace('+','%2B', $request);

$request = 'http://api.onemusicapi.com/beta/release?'.$request;

//echo $request.'\n';

$albumInfo = json_decode(file_get_contents($request),true);

//print_r($albumInfo);

if (isset($albumInfo[0]['images'][0]['url'])) {
	$albumCoverImg = $albumInfo[0]['images'][0]['url'];
	exec('wget '.$albumCoverImg.' --output-document='.$folder.'/cover.jpg'.'  >/dev/null 2>&1');
} else {
	print 'No image found.\n';
}
	
?>