#!/usr/bin/perl
# Copyright (C) 2008 - 2012 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

# Get info on a CD in the drive

my $CD_DEVICE = "/dev/sr0";

use MusicBrainz::DiscID;
use strict;

my $disc = new MusicBrainz::DiscID();

if ( $disc->read() == $CD_DEVICE ) {
    printf STDERR "Error: %s\n", $disc->error_msg();
    exit(1);
}

printf("%d", $disc->first_track_num());
printf("+%d", $disc->last_track_num());
printf("+%d", $disc->sectors());
for ( my $i = $disc->first_track_num;
    $i <= $disc->last_track_num; $i++ ) {
    printf("+%d", $disc->track_offset($i));
}

undef $disc;