#!/bin/sh
# Copyright (C) 2012 Doug Asherman
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

foo=`pwd`
logfile=/var/log/flac2ogg.log
# whether or not to test for newer file
testage=0

oggdir=${foo/flac/ogg}
# if the oggdir exists, then we should compare the ogg and flac files
# (it's assumed that the ogg file exists if the ogg dir exists)
# if the oggdir doesn't exist, then make it
if [ -a $oggdir ]; then
        testage=1
#	echo "${foo/flac/ogg} has already been processed." >> $logfile
#    	echo "Exiting this run..." >> $logfile
#	exit
else
	mkdir -p $oggdir
fi

# so, if testage == 1 then that means the ogg mirror dir exists
# (now say ogg mirror dir three times fast) so we check to see if
# the flac file is newer than the ogg file. if it is, we re-encode
#
# otherwise, should log it somehow (or not, I don't know)
for i in $( ls *.flac ); do
	oggfile=$oggdir/${i/flac/ogg}
        if ((testage == 1)); then
		if [ $oggfile -nt $i ]; then
			echo "Newer..."
			continue;
		fi
	fi
	oggenc --quality=10 --output=$oggfile $i
done

